Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Andreas_D_1
Beginner
748 Views

Parallel Studio XE 2016 on Linux Mint: Unsupported?

Dear board users,

I am trying to install Parallel Studio XE 2016 on a Linux Mint 17.3 machine.

I have seen that the installation process does not support LinuxMint, not even Ubuntu if I remember well. My first question is: Why? Linux Mint certainly is not a fringe system and may inherit the user base of Ubuntu as Ubuntu is getting more commercial and disrespects privacy at some points.

When will Linux Mint be supported? Even Ubuntu is based upon Debian, and Debian seems to be supported.

Second question:

I somehow moved through the installation process (we only need intel64 architecture) but compilervers.sh did not work. As I've used icpc 2013 on an older system before, I have copied and adapted older module files we had to mirror those settings with the new folders. I've put everything in ~/.bashrc. No, I can get icpc to respond:

icpc version 16.0.0 (gcc version 3.2.0 compatibility)

and I am able to compile a "helloworld" in C.

Why the "compatibility mode" with a gcc that I don't have (I do have g++ 4.8)? What does "compatibility mode" mean in this scenario?

I would not bother too much but it seems that I can't compile boost because of that.

Could you please point me to a precise list of all the dependencies and how to configure them myself if I can't use neither the installer nor compilervars.sh?

Thank you -

Andreas

 

0 Kudos
28 Replies
Andreas_D_1
Beginner
154 Views

Thank worked - many thanks Tim!

 # icpc -v
icpc version 16.0.0 (gcc version 4.8.0 compatibility)

Phew. Now back to compiling boost -

All the best

Andreas

pbkenned1
Employee
154 Views

Hello Andreas,

Very happy to hear of your success, and indeed, thanks Tim.  This looks promising for getting Linux Mint certified with the Intel compilers.  Regarding DPD200380351, we are moving forward.  We will set up a server with Linux Mint 17.3, and PV will do some testing.  I expect the compilers will work correctly, but we would like to certify all the tools in Parallel Studio, like MKL, TBB, etc.  I don't have any data on the latter, but PV testing may expose issues. 

Patrick

Andreas_D_1
Beginner
154 Views

Thanks for your help, too, Patrick!

Yes, I guess that's all one has to do for making Intel compatible but we'll have other tasks ahead here, like using boost and building MPI code. I will let you know of there's more to consider or I missed out on something.

Many thanks!

Andreas

 

pbkenned1
Employee
154 Views

Hello Andreas,

>>>we'll have other tasks ahead here, like using boost and building MPI code. I will let you know of there's more to consider or I missed out on something.

Very good, and best of luck.  If you find issues, please create new Forum threads (one per issue), so we can track them separately.  This particular thread is specifically tracking getting Linux Mint as a supported distribution. 

Thanks,

Patrick

Andreas_D_1
Beginner
154 Views

Sure, thanks -

Andraes

yves_c_1
Beginner
154 Views

Hi, I am also trying to get intel compilers working on my computer. I've run the install and then the command:
 

compilers_and_libraries_2016.1.150/linux/bin/compilervars.sh intel64

But it seems that this only add /opt/intel/compilers_and_libraries_2016.1.150/linux/bin/intel64 to the path. Such folder soes not even exist..

Can you let me konw how to move forward. Thanks

 

Kittur_G_Intel
Employee
154 Views

Hi,
Can you make sure you sourced the script file correctly? Open a new terminal and try the below:

%cd  to the bin directory  (/compilers_and_libraries_2016.1.150/linux/bin)
% source ./compilervars.sh intel64

If your installation was successful, then your path after sourcing the above script should look like:
<install-dir>/compilers_and_libraries_2016.1.150/linux/bin/intel64:<install-dir>/compilers_and_libraries_2016.1.150/linux/mpi/intel64/bin:<install-dir>debugger_2016/gdb/intel64_mic/bin  and so on.....

%icc -V
Intel(R) C Intel(R) 64 Compiler for applications running on Intel(R) 64, Version 16.0.1.150 Build 20151021
.....
....

_Kittur

Steve_W_1
Beginner
154 Views

I seem to have installed the 2016.3.067 version of the compilers in Linux Mint 18.

True, the installer chokes on the exact Linux version -- and this is really too bad.  There's no reason this thing shouldn't run on any Linux, or any reasonable Unix, for that matter.

BUT the installer does dump RPM archives in
      /tmp/l_psxe_2016.3.067/rpm/

To get a listing of the contents, I ran
        for rr in /tmp/l_psxe_2016.3.067/rpm/*.rpm; do echo " -------------- $rr" ; rpm2cpio  "$rr" | cpio --list ; done > rpm-listing

I tried installing the rpms piecemeal.  No luck (ld kept complaining it was missing some libraries, whch were evidently there.)
So just installed all the rpms.  The listing generated above shows all the unpacked files go in /opt/intel/

        sudo su
        cd /
       
for rr in /tmp/l_psxe_2016.3.067/rpm/*.rpm; do echo " -------------- $rr" ; rpm2cpio  "$rr" | cpio -idmv ; done

I had to download the license from Intel by hand.  How to do this was non-obvious.
The downloaded license file goes in
        /opt/intel/licenses

Cheers!

Reply